# studio::Renderer_Grid Class Reference

`#include <renderer_grid.h>`

Inheritance diagram for studio::Renderer_Grid:

List of all members.

## Public Member Functions

| ~Renderer_Grid ()
synfig::Vector | get_grid_size () const
void | render_vfunc (const Glib::RefPtr< Gdk::Drawable > &drawable, const Gdk::Rectangle &expose_area)

## Protected Member Functions

bool | get_enabled_vfunc () const

## Constructor & Destructor Documentation

Renderer_Grid::~Renderer_Grid | ( |  | ) |

## Member Function Documentation

synfig::Vector Renderer_Grid::get_grid_size | ( |  | ) | const

References studio::Duckmatic::get_grid_size(), and studio::WorkAreaRenderer::get_work_area().

Referenced by render_vfunc().

void Renderer_Grid::render_vfunc | ( | const Glib::RefPtr< Gdk::Drawable > & | drawable,
|  | const Gdk::Rectangle & | expose_area |
| ) |  |  | `[virtual]`

Reimplemented from studio::WorkAreaRenderer.

References synfigapp::Action::create(), get_grid_size(), studio::WorkAreaRenderer::get_ph(), studio::WorkAreaRenderer::get_pw(), and studio::WorkAreaRenderer::get_work_area().

bool Renderer_Grid::get_enabled_vfunc | ( |  | ) | const`[protected, virtual]`

Reimplemented from studio::WorkAreaRenderer.

References studio::WorkAreaRenderer::get_work_area(), and studio::WorkArea::grid_status().

The documentation for this class was generated from the following files:

- renderer_grid.h
- renderer_grid.cpp